Name:          okular
Version:       17.08.0
Release:       1mamba
Summary:       A document viewer that supports different kinds of documents
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/okular-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libbzip2-devel
BuildRequires: libchm-devel
BuildRequires: libdjvulibre-devel
BuildRequires: libebook-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libphonon-devel
BuildRequires: libpoppler-qt4-devel
BuildRequires: libqca-devel
BuildRequires: libqimageblitz-devel
BuildRequires: libqt5-devel
BuildRequires: libsoprano-devel
BuildRequires: libspectre-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libpoppler-qt4-devel >= 0.20.2
BuildRequires: libactiveapp-devel
Requires:      libokular = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Okular is a document viewer that supports different kinds of documents.

%package -n libokular
Summary:       Runtime files for  okular
Group:         Graphical Desktop/Libraries/KDE

%description -n libokular
%{summary}.

%package -n libokular-devel
Summary:       Development files for okular
Group:         Development/Libraries
Requires:      libokular = %{?epoch:%epoch:}%{version}-%{release}

%description -n libokular-devel
%{summary}.

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%posttrans
update-desktop-database -q &>/dev/null
gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%postun
if [ $1 -eq 0 ]; then
   update-desktop-database -q &>/dev/null
   touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
fi
exit 0

%post -n libokular -p /sbin/ldconfig
%postun -n libokular -p /sbin/ldconfig

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/okular.categories
%{_kde5_bindir}/okular
%{_kde5_datadir}/okular/
%{_kde5_kcfgdir}/gssettings.kcfg
%{_kde5_kcfgdir}/okular.kcfg
%{_kde5_kcfgdir}/pdfsettings.kcfg
%{_datadir}/applications/okularApplication_*.desktop
%{_datadir}/applications/org.kde.mobile.okular*.desktop
%{_datadir}/applications/org.kde.okular.desktop
%{_datadir}/metainfo/org.kde.okular.appdata.xml
%{_datadir}/metainfo/org.kde.okular-*.xml
%{_datadir}/config.kcfg/okular_core.kcfg
%{_datadir}/icons/hicolor/*/apps/okular.png
%{_datadir}/kconf_update/okular.upd
%dir %{_datadir}/kpackage/genericqml/org.kde.mobile.okular
%{_datadir}/kpackage/genericqml/org.kde.mobile.okular/*
%{_datadir}/kservices5/ms-its.protocol
%{_datadir}/kservices5/okular*.desktop
%{_kde5_servicetypesdir}/okularGenerator.desktop
%dir %{_datadir}/kxmlgui5/okular
%{_datadir}/kxmlgui5/okular/*.rc
%{_mandir}/man1/okular.1*
%lang(en) %{_datadir}/doc/HTML/en/okular
%lang(ca) %{_datadir}/doc/HTML/ca/okular
%lang(de) %{_datadir}/doc/HTML/de/okular
%lang(es) %{_datadir}/doc/HTML/es/okular
%lang(fr) %{_datadir}/doc/HTML/fr/okular
%lang(gl) %{_datadir}/doc/HTML/gl/okular
%lang(it) %{_datadir}/doc/HTML/it/okular
%lang(ja) %{_datadir}/doc/HTML/ja/okular
%lang(nl) %{_datadir}/doc/HTML/nl/okular
%lang(pl) %{_datadir}/doc/HTML/pl/okular
%lang(pt) %{_datadir}/doc/HTML/pt/okular
%lang(pt_BR) %{_datadir}/doc/HTML/pt_BR/okular
%lang(sv) %{_datadir}/doc/HTML/sv/okular
%lang(uk) %{_datadir}/doc/HTML/uk/okular

%files -n libokular
%defattr(-,root,root)
%{_libdir}/libOkular5Core.so.*
%{_libdir}/qt5/plugins/kio_msits.so
%dir %{_libdir}/qt5/plugins/okular
%dir %{_libdir}/qt5/plugins/okular/generators
%{_libdir}/qt5/plugins/okular/generators/okularGenerator_*.so
%{_libdir}/qt5/plugins/okularpart.so
%dir %{_libdir}/qt5/qml/org/kde/okular
%{_libdir}/qt5/qml/org/kde/okular/*
#%doc AUTHORS COPYING COPYING.DOC COPYING.LIB

%files -n libokular-devel
%defattr(-,root,root)

%dir %{_includedir}/okular/core
%{_includedir}/okular/core/*.h
%dir %{_includedir}/okular/interfaces
%{_includedir}/okular/interfaces/*.h
%dir %{_libdir}/cmake/Okular5
%{_libdir}/cmake/Okular5/Okular5*.cmake
%{_libdir}/libOkular5Core.so
#%doc README.internals.png TODO

%changelog
* Wed Aug 23 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Fri Mar 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Fri Dec 23 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Thu Aug 15 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Mon Feb 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.0-2mamba
- rebuilt with plasma-mobile

* Thu Feb 14 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Thu Aug 16 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Sun Aug 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.4-2mamba
- rebuilt with libpoppler 0.20.2

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Sat May 05 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Tue Mar 27 2012 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Sun Dec 11 2011 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Thu Nov 03 2011 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2011 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic version update by autodist

* Mon Sep 19 2011 Davide Madrisan <davide.madrisan@gmail.com> 4.7.1-1mamba
- package created by autospec
